Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Sirius » bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved(org.eclipse.sirius.common.acceleo.mtl)
bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved [message #1172992] Wed, 06 November 2013 02:59 Go to next message
sninja sninja is currently offline sninja sninja
Messages: 16
Registered: October 2013
Junior Member
Greetings,

I've tried Sirius and I'm very, very pleased with it. The idea and approach is great.

However, I have a problem with org.eclipse.sirius.common.acceleo.mtl bundle. When I create new Viewpoint Specification Project, I have an error bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved.

I added it to the plugin.xml in the same way as org.eclipse.sirius.componentization is added there, but still no luck.

When I look for jar file in my Eclipse Juno plugins, bundle is not there. There is a couple of org.eclipse.sirius.common jars but not one with acceleo.

I've installed Sirius from update site from the Sirius website.

So, what can I do?

I would appreciate any help Smile
Re: bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved [message #1174646 is a reply to message #1172992] Thu, 07 November 2013 03:23 Go to previous messageGo to next message
Alex Lagarde is currently offline Alex Lagarde
Messages: 177
Registered: May 2010
Senior Member

Hello,

first of all thanks a lot for your positive feedback on Sirius :)

I think your issue is due to the fact that you do not have the expected
version of Acceleo (probably because you are using a Juno bundle). Could
you please give us the Acceleo version you are using? Should be Acceleo
3.4.x.

Best regards (and sorry for the late answer),
Alex

Le 06/11/2013 08:59, sninja sninja a écrit :
> Greetings,
>
> I've tried Sirius and I'm very, very pleased with it. The idea and
> approach is great.
>
> However, I have a problem with org.eclipse.sirius.common.acceleo.mtl
> bundle. When I create new Viewpoint Specification Project, I have an
> error bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved.
>
> I added it to the plugin.xml in the same way as
> org.eclipse.sirius.componentization is added there, but still no luck.
>
> When I look for jar file in my Eclipse Juno plugins, bundle is not
> there. There is a couple of org.eclipse.sirius.common jars but not one
> with acceleo.
>
> I've installed Sirius from update site from the Sirius website.
>
> So, what can I do?
>
> I would appreciate any help :)
Re: bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved [message #1174748 is a reply to message #1174646] Thu, 07 November 2013 04:40 Go to previous messageGo to next message
sninja sninja is currently offline sninja sninja
Messages: 16
Registered: October 2013
Junior Member
Hello Alex,

Sirius is really great for me, can't wait next year for full thing.

I also think the version of Acceleo is an issue. Right now I have Acceleo 3.3.x with Juno. I've managed to put parts of Acceleo 3.4.x and it looked better, no errors, but in runtime Juno crashed everytime.

So, I have these options:

- Juno with Sirius, Acceleo 3.4.x and Ecore tools from Luna update site

- Kepler with Sirius, Acceleo 3.4.x and Ecore tools from Luna update site

Maybe, that will work. What do you think?

Thanks

ps. if everything works, I'll post it on the other thread also Very Happy
Re: bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved [message #1174784 is a reply to message #1174748] Thu, 07 November 2013 05:01 Go to previous messageGo to next message
Alex Lagarde is currently offline Alex Lagarde
Messages: 177
Registered: May 2010
Senior Member

Hi,

everything should work well with both of these options. Your issue
probably comes from a wrong Acceleo version, but this means we should
have stronger dependencies in Sirius to avoid this issue.

I've created the following bugzilla
https://bugs.eclipse.org/bugs/show_bug.cgi?id=421221 , you can subscribe
to be notified when the status of this issue evolves.

Best regards,
Alex

Le 07/11/2013 10:40, sninja sninja a écrit :
> Hello Alex,
>
> Sirius is really great for me, can't wait next year for full thing.
>
> I also think the version of Acceleo is an issue. Right now I have
> Acceleo 3.3.x with Juno. I've managed to put parts of Acceleo 3.4.x and
> it looked better, no errors, but in runtime Juno crashed everytime.
>
> So, I have these options:
>
> - Juno with Sirius, Acceleo 3.4.x and Ecore tools from Luna update site
>
> - Kepler with Sirius, Acceleo 3.4.x and Ecore tools from Luna update site
>
> Maybe, that will work. What do you think?
>
> Thanks
>
> ps. if everything works, I'll post it on the other thread also :d
Re: bundle org.eclipse.sirius.common.acceleo.mtl cannot be resolved [message #1181291 is a reply to message #1174784] Mon, 11 November 2013 09:05 Go to previous message
sninja sninja is currently offline sninja sninja
Messages: 16
Registered: October 2013
Junior Member
It's working.

I've used latest Juno, Acceleo 3.4.x, Ecore Tools 2 and, ofcourse, Sirius itself. With that, I could do everything same like in the tutorial, which was not the case before.

Thank's for the help.
Previous Topic:Creating custom TreeViewer editor from ecore model
Next Topic:tutorial: graphical designer test not working
Goto Forum:
  


Current Time: Sat Aug 02 04:53:01 EDT 2014

Powered by FUDForum. Page generated in 0.01725 seconds